Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class EmployerInfo

    java.lang.Object
      org.jboss.portal.wsrp.core.EmployerInfo

All Implemented Interfaces:
  java.io.Serializable

    public class EmployerInfo

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `department`
`protected java.lang.String` | `employer`
`protected Extension[]` | `extensions`
`protected java.lang.String` | `jobtitle`

Constructor Summary
`EmployerInfo()`
`EmployerInfo(java.lang.String employer, java.lang.String department, java.lang.String jobtitle, Extension[] extensions)`

Method Summary
`java.lang.String` | `getDepartment()`
`java.lang.String` | `getEmployer()`
`Extension[]` | `getExtensions()`
`java.lang.String` | `getJobtitle()`
`void` | `setDepartment(java.lang.String department)`
`void` | `setEmployer(java.lang.String employer)`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setJobtitle(java.lang.String jobtitle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### employer

    protected java.lang.String employer

### department

    protected java.lang.String department

### jobtitle

    protected java.lang.String jobtitle

### extensions

    protected Extension[] extensions

Constructor Detail

### EmployerInfo

    public EmployerInfo()

### EmployerInfo

    public EmployerInfo(java.lang.String employer,
                        java.lang.String department,
                        java.lang.String jobtitle,
                        Extension[] extensions)

Method Detail

### getEmployer

    public java.lang.String getEmployer()

### setEmployer

    public void setEmployer(java.lang.String employer)

### getDepartment

    public java.lang.String getDepartment()

### setDepartment

    public void setDepartment(java.lang.String department)

### getJobtitle

    public java.lang.String getJobtitle()

### setJobtitle

    public void setJobtitle(java.lang.String jobtitle)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD